<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZSample0017FormPickupDataViewBase from './ibizsample0017-form-pickup-data-view-base.vue';

import view_dataview from '@widgets/ibizsample0017/form-type-dataview/form-type-dataview.vue';
@Component({
    components: {
        view_dataview, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZSample0017FormPickupDataView extends IBIZSample0017FormPickupDataViewBase {

}
</script>